ToolsOptionCore.Get = {
	pointtext = {
			"TOPLEFT", "TOP", "TOPRIGHT",
			"LEFT", "CENTER", "RIGHT",
			"BOTTOMLEFT", "BOTTOM", "BOTTOMRIGHT"
		}
}
local get = ToolsOptionCore.Get
function get:Point(v)
	local get = function()
		for i = 1, #self.pointtext do
			if v:get() == self.pointtext[i] then
				return i
			end
		end
	end
	return	{	type = "RadioButton",
			col = 3,
			text = "위치 설정",
			disable = v.disable,
			get = get,
			set = function(p) v.set(self.pointtext[p]) end,
			values = {"좌측상단", "상단", "우측상단", "좌측", "중앙", "우측", "좌측하단", "하단", "우측하단"},
		}
end

local drop = {}
if IsAddOnLoaded("ToolsButtonTexture") then
	get.tbtloaded = true
	for i = 1, #ToolsCommonButton.value do
		drop[i] = {text = ToolsCommonButton.value[i][1]}
	end
end
function get:Texture(dropdown, check)
	if not self.tbtloaded then return end
	return	{	type = "Title",
				text = "버튼 텍스쳐 설정"
		},
		 dropdown and {	type = "Dropdown",
				text = "텍스쳐 선택",
				values = drop,	
				get = dropdown.get,
				set = dropdown.set,
				tooltip = "버튼의 테두리 모양을 설정합니다"
		},
		check and {	type = "CheckButton",
				text = "DreamLayout",
				values = drop,
				get = check.get,
				set = check.set,
				tooltip = "드림레이아웃, 버튼이 기본이나 없음일 경우만 나옵니다"
		}
end